TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Rassoc ( alist A, any val ) -> any key

### Optional Arguments

Fail | any |  | Determines what to return in case of failure.

### Description

<shortdoc> Return a list of keys whose associations are `val' in the alist `A'. </shortdoc>

### Examples

A:=Alist(["foo","someval1"],["bar","someval2"]); Rassoc(A,"someval1"); Rassoc(A,25);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack